Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.InputMethodQuery

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.InputMethodQuery

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.InputMethodQuery

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.InputMethodQuery` | `ImCurrentSelection` The currently selected text.
`static Qt.InputMethodQuery` | `ImCursorPosition` The logical position of the cursor within the text surrounding the input area (see `ImSurroundingText` ).
`static Qt.InputMethodQuery` | `ImFont` The currently used font for text input.
`static Qt.InputMethodQuery` | `ImMicroFocus` The rectangle covering the area of the input cursor in widget coordinates.
`static Qt.InputMethodQuery` | `ImSurroundingText` The plain text around the input area, for example the current paragraph.

Method Summary
`static Qt.InputMethodQuery` | `resolve(int value)` Returns the InputMethodQuery constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.InputMethodQuery` | `valueOf(java.lang.String name)`
`static Qt.InputMethodQuery[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ImMicroFocus

    public static final Qt.InputMethodQuery ImMicroFocus

  The rectangle covering the area of the input cursor in widget coordinates.

### ImFont

    public static final Qt.InputMethodQuery ImFont

  The currently used font for text input.

### ImCursorPosition

    public static final Qt.InputMethodQuery ImCursorPosition

  The logical position of the cursor within the text surrounding the input area (see `ImSurroundingText` ).

### ImSurroundingText

    public static final Qt.InputMethodQuery ImSurroundingText

  The plain text around the input area, for example the current paragraph.

### ImCurrentSelection

    public static final Qt.InputMethodQuery ImCurrentSelection

  The currently selected text.

Method Detail

### values

    public static Qt.InputMethodQuery[] values()

### valueOf

    public static Qt.InputMethodQuery valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.InputMethodQuery resolve(int value)

  Returns the InputMethodQuery constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD